"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ManagedBlockchainClient_1 = require("./ManagedBlockchainClient");
var CreateMemberCommand_1 = require("./commands/CreateMemberCommand");
var CreateNetworkCommand_1 = require("./commands/CreateNetworkCommand");
var CreateNodeCommand_1 = require("./commands/CreateNodeCommand");
var CreateProposalCommand_1 = require("./commands/CreateProposalCommand");
var DeleteMemberCommand_1 = require("./commands/DeleteMemberCommand");
var DeleteNodeCommand_1 = require("./commands/DeleteNodeCommand");
var GetMemberCommand_1 = require("./commands/GetMemberCommand");
var GetNetworkCommand_1 = require("./commands/GetNetworkCommand");
var GetNodeCommand_1 = require("./commands/GetNodeCommand");
var GetProposalCommand_1 = require("./commands/GetProposalCommand");
var ListInvitationsCommand_1 = require("./commands/ListInvitationsCommand");
var ListMembersCommand_1 = require("./commands/ListMembersCommand");
var ListNetworksCommand_1 = require("./commands/ListNetworksCommand");
var ListNodesCommand_1 = require("./commands/ListNodesCommand");
var ListProposalVotesCommand_1 = require("./commands/ListProposalVotesCommand");
var ListProposalsCommand_1 = require("./commands/ListProposalsCommand");
var RejectInvitationCommand_1 = require("./commands/RejectInvitationCommand");
var VoteOnProposalCommand_1 = require("./commands/VoteOnProposalCommand");
var ManagedBlockchain = /** @class */ (function (_super) {
    tslib_1.__extends(ManagedBlockchain, _super);
    function ManagedBlockchain() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ManagedBlockchain.prototype.createMember = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateMemberCommand_1.CreateMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.createNetwork = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateNetworkCommand_1.CreateNetworkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.createNode = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateNodeCommand_1.CreateNodeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.createProposal = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateProposalCommand_1.CreateProposalCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.deleteMember = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteMemberCommand_1.DeleteMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.deleteNode = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteNodeCommand_1.DeleteNodeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.getMember = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetMemberCommand_1.GetMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.getNetwork = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetNetworkCommand_1.GetNetworkCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.getNode = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetNodeCommand_1.GetNodeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.getProposal = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetProposalCommand_1.GetProposalCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.listInvitations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListInvitationsCommand_1.ListInvitationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.listMembers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListMembersCommand_1.ListMembersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.listNetworks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListNetworksCommand_1.ListNetworksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.listNodes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListNodesCommand_1.ListNodesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.listProposalVotes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListProposalVotesCommand_1.ListProposalVotesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.listProposals = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListProposalsCommand_1.ListProposalsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.rejectInvitation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RejectInvitationCommand_1.RejectInvitationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ManagedBlockchain.prototype.voteOnProposal = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new VoteOnProposalCommand_1.VoteOnProposalCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ManagedBlockchain;
}(ManagedBlockchainClient_1.ManagedBlockchainClient));
exports.ManagedBlockchain = ManagedBlockchain;
//# sourceMappingURL=ManagedBlockchain.js.map