"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateMember_1 = require("../model/operations/CreateMember");
var CreateMemberCommand = /** @class */ (function () {
    function CreateMemberCommand(input) {
        this.input = input;
        this.model = CreateMember_1.CreateMember;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateMemberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateMemberCommand;
}());
exports.CreateMemberCommand = CreateMemberCommand;
//# sourceMappingURL=CreateMemberCommand.js.map