"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateNetwork_1 = require("../model/operations/CreateNetwork");
var CreateNetworkCommand = /** @class */ (function () {
    function CreateNetworkCommand(input) {
        this.input = input;
        this.model = CreateNetwork_1.CreateNetwork;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateNetworkCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateNetworkCommand;
}());
exports.CreateNetworkCommand = CreateNetworkCommand;
//# sourceMappingURL=CreateNetworkCommand.js.map