"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateNode_1 = require("../model/operations/CreateNode");
var CreateNodeCommand = /** @class */ (function () {
    function CreateNodeCommand(input) {
        this.input = input;
        this.model = CreateNode_1.CreateNode;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateNodeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateNodeCommand;
}());
exports.CreateNodeCommand = CreateNodeCommand;
//# sourceMappingURL=CreateNodeCommand.js.map