"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateProposal_1 = require("../model/operations/CreateProposal");
var CreateProposalCommand = /** @class */ (function () {
    function CreateProposalCommand(input) {
        this.input = input;
        this.model = CreateProposal_1.CreateProposal;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateProposalCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateProposalCommand;
}());
exports.CreateProposalCommand = CreateProposalCommand;
//# sourceMappingURL=CreateProposalCommand.js.map