"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteNode_1 = require("../model/operations/DeleteNode");
var DeleteNodeCommand = /** @class */ (function () {
    function DeleteNodeCommand(input) {
        this.input = input;
        this.model = DeleteNode_1.DeleteNode;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteNodeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteNodeCommand;
}());
exports.DeleteNodeCommand = DeleteNodeCommand;
//# sourceMappingURL=DeleteNodeCommand.js.map