"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetMember_1 = require("../model/operations/GetMember");
var GetMemberCommand = /** @class */ (function () {
    function GetMemberCommand(input) {
        this.input = input;
        this.model = GetMember_1.GetMember;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetMemberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetMemberCommand;
}());
exports.GetMemberCommand = GetMemberCommand;
//# sourceMappingURL=GetMemberCommand.js.map