"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetNetwork_1 = require("../model/operations/GetNetwork");
var GetNetworkCommand = /** @class */ (function () {
    function GetNetworkCommand(input) {
        this.input = input;
        this.model = GetNetwork_1.GetNetwork;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetNetworkCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetNetworkCommand;
}());
exports.GetNetworkCommand = GetNetworkCommand;
//# sourceMappingURL=GetNetworkCommand.js.map