"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetNode_1 = require("../model/operations/GetNode");
var GetNodeCommand = /** @class */ (function () {
    function GetNodeCommand(input) {
        this.input = input;
        this.model = GetNode_1.GetNode;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetNodeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetNodeCommand;
}());
exports.GetNodeCommand = GetNodeCommand;
//# sourceMappingURL=GetNodeCommand.js.map