"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetProposal_1 = require("../model/operations/GetProposal");
var GetProposalCommand = /** @class */ (function () {
    function GetProposalCommand(input) {
        this.input = input;
        this.model = GetProposal_1.GetProposal;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetProposalCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetProposalCommand;
}());
exports.GetProposalCommand = GetProposalCommand;
//# sourceMappingURL=GetProposalCommand.js.map