"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListInvitations_1 = require("../model/operations/ListInvitations");
var ListInvitationsCommand = /** @class */ (function () {
    function ListInvitationsCommand(input) {
        this.input = input;
        this.model = ListInvitations_1.ListInvitations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListInvitationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListInvitationsCommand;
}());
exports.ListInvitationsCommand = ListInvitationsCommand;
//# sourceMappingURL=ListInvitationsCommand.js.map