"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListMembers_1 = require("../model/operations/ListMembers");
var ListMembersCommand = /** @class */ (function () {
    function ListMembersCommand(input) {
        this.input = input;
        this.model = ListMembers_1.ListMembers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListMembersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListMembersCommand;
}());
exports.ListMembersCommand = ListMembersCommand;
//# sourceMappingURL=ListMembersCommand.js.map