"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListNetworks_1 = require("../model/operations/ListNetworks");
var ListNetworksCommand = /** @class */ (function () {
    function ListNetworksCommand(input) {
        this.input = input;
        this.model = ListNetworks_1.ListNetworks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListNetworksCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListNetworksCommand;
}());
exports.ListNetworksCommand = ListNetworksCommand;
//# sourceMappingURL=ListNetworksCommand.js.map