"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListNodes_1 = require("../model/operations/ListNodes");
var ListNodesCommand = /** @class */ (function () {
    function ListNodesCommand(input) {
        this.input = input;
        this.model = ListNodes_1.ListNodes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListNodesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListNodesCommand;
}());
exports.ListNodesCommand = ListNodesCommand;
//# sourceMappingURL=ListNodesCommand.js.map