"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListProposals_1 = require("../model/operations/ListProposals");
var ListProposalsCommand = /** @class */ (function () {
    function ListProposalsCommand(input) {
        this.input = input;
        this.model = ListProposals_1.ListProposals;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListProposalsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListProposalsCommand;
}());
exports.ListProposalsCommand = ListProposalsCommand;
//# sourceMappingURL=ListProposalsCommand.js.map