"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateMemberInput_1 = require("../shapes/CreateMemberInput");
var CreateMemberOutput_1 = require("../shapes/CreateMemberOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var ResourceNotReadyException_1 = require("../shapes/ResourceNotReadyException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateMember = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateMember",
    http: {
        method: "POST",
        requestUri: "/networks/{networkId}/members"
    },
    input: {
        shape: CreateMemberInput_1.CreateMemberInput
    },
    output: {
        shape: CreateMemberOutput_1.CreateMemberOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: ResourceNotReadyException_1.ResourceNotReadyException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=CreateMember.js.map