"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateNetworkInput_1 = require("../shapes/CreateNetworkInput");
var CreateNetworkOutput_1 = require("../shapes/CreateNetworkOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateNetwork = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateNetwork",
    http: {
        method: "POST",
        requestUri: "/networks"
    },
    input: {
        shape: CreateNetworkInput_1.CreateNetworkInput
    },
    output: {
        shape: CreateNetworkOutput_1.CreateNetworkOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=CreateNetwork.js.map