"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateNodeInput_1 = require("../shapes/CreateNodeInput");
var CreateNodeOutput_1 = require("../shapes/CreateNodeOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var ResourceNotReadyException_1 = require("../shapes/ResourceNotReadyException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateNode = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateNode",
    http: {
        method: "POST",
        requestUri: "/networks/{networkId}/members/{memberId}/nodes"
    },
    input: {
        shape: CreateNodeInput_1.CreateNodeInput
    },
    output: {
        shape: CreateNodeOutput_1.CreateNodeOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: ResourceNotReadyException_1.ResourceNotReadyException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=CreateNode.js.map