"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateProposalInput_1 = require("../shapes/CreateProposalInput");
var CreateProposalOutput_1 = require("../shapes/CreateProposalOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceNotReadyException_1 = require("../shapes/ResourceNotReadyException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateProposal = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateProposal",
    http: {
        method: "POST",
        requestUri: "/networks/{networkId}/proposals"
    },
    input: {
        shape: CreateProposalInput_1.CreateProposalInput
    },
    output: {
        shape: CreateProposalOutput_1.CreateProposalOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceNotReadyException_1.ResourceNotReadyException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=CreateProposal.js.map