"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteMemberInput_1 = require("../shapes/DeleteMemberInput");
var DeleteMemberOutput_1 = require("../shapes/DeleteMemberOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceNotReadyException_1 = require("../shapes/ResourceNotReadyException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteMember = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteMember",
    http: {
        method: "DELETE",
        requestUri: "/networks/{networkId}/members/{memberId}"
    },
    input: {
        shape: DeleteMemberInput_1.DeleteMemberInput
    },
    output: {
        shape: DeleteMemberOutput_1.DeleteMemberOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceNotReadyException_1.ResourceNotReadyException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=DeleteMember.js.map