"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteNodeInput_1 = require("../shapes/DeleteNodeInput");
var DeleteNodeOutput_1 = require("../shapes/DeleteNodeOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceNotReadyException_1 = require("../shapes/ResourceNotReadyException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteNode = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteNode",
    http: {
        method: "DELETE",
        requestUri: "/networks/{networkId}/members/{memberId}/nodes/{nodeId}"
    },
    input: {
        shape: DeleteNodeInput_1.DeleteNodeInput
    },
    output: {
        shape: DeleteNodeOutput_1.DeleteNodeOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceNotReadyException_1.ResourceNotReadyException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=DeleteNode.js.map