"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetNetworkInput_1 = require("../shapes/GetNetworkInput");
var GetNetworkOutput_1 = require("../shapes/GetNetworkOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetNetwork = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetNetwork",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}"
    },
    input: {
        shape: GetNetworkInput_1.GetNetworkInput
    },
    output: {
        shape: GetNetworkOutput_1.GetNetworkOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=GetNetwork.js.map