"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetProposalInput_1 = require("../shapes/GetProposalInput");
var GetProposalOutput_1 = require("../shapes/GetProposalOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetProposal = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetProposal",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}/proposals/{proposalId}"
    },
    input: {
        shape: GetProposalInput_1.GetProposalInput
    },
    output: {
        shape: GetProposalOutput_1.GetProposalOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=GetProposal.js.map