"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListInvitationsInput_1 = require("../shapes/ListInvitationsInput");
var ListInvitationsOutput_1 = require("../shapes/ListInvitationsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListInvitations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListInvitations",
    http: {
        method: "GET",
        requestUri: "/invitations"
    },
    input: {
        shape: ListInvitationsInput_1.ListInvitationsInput
    },
    output: {
        shape: ListInvitationsOutput_1.ListInvitationsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=ListInvitations.js.map