"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListMembersInput_1 = require("../shapes/ListMembersInput");
var ListMembersOutput_1 = require("../shapes/ListMembersOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListMembers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListMembers",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}/members"
    },
    input: {
        shape: ListMembersInput_1.ListMembersInput
    },
    output: {
        shape: ListMembersOutput_1.ListMembersOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=ListMembers.js.map