"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListNetworksInput_1 = require("../shapes/ListNetworksInput");
var ListNetworksOutput_1 = require("../shapes/ListNetworksOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListNetworks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListNetworks",
    http: {
        method: "GET",
        requestUri: "/networks"
    },
    input: {
        shape: ListNetworksInput_1.ListNetworksInput
    },
    output: {
        shape: ListNetworksOutput_1.ListNetworksOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=ListNetworks.js.map