"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListNodesInput_1 = require("../shapes/ListNodesInput");
var ListNodesOutput_1 = require("../shapes/ListNodesOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListNodes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListNodes",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}/members/{memberId}/nodes"
    },
    input: {
        shape: ListNodesInput_1.ListNodesInput
    },
    output: {
        shape: ListNodesOutput_1.ListNodesOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=ListNodes.js.map