"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListProposalsInput_1 = require("../shapes/ListProposalsInput");
var ListProposalsOutput_1 = require("../shapes/ListProposalsOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListProposals = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListProposals",
    http: {
        method: "GET",
        requestUri: "/networks/{networkId}/proposals"
    },
    input: {
        shape: ListProposalsInput_1.ListProposalsInput
    },
    output: {
        shape: ListProposalsOutput_1.ListProposalsOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=ListProposals.js.map