"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var VoteOnProposalInput_1 = require("../shapes/VoteOnProposalInput");
var VoteOnProposalOutput_1 = require("../shapes/VoteOnProposalOutput");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var IllegalActionException_1 = require("../shapes/IllegalActionException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.VoteOnProposal = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "VoteOnProposal",
    http: {
        method: "POST",
        requestUri: "/networks/{networkId}/proposals/{proposalId}/votes"
    },
    input: {
        shape: VoteOnProposalInput_1.VoteOnProposalInput
    },
    output: {
        shape: VoteOnProposalOutput_1.VoteOnProposalOutput
    },
    errors: [
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: IllegalActionException_1.IllegalActionException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=VoteOnProposal.js.map