import { _NodeConfiguration } from "./_NodeConfiguration";
import { NodeHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * CreateNodeInput shape
 */
export interface CreateNodeInput {
    /**
     * <p>A unique, case-sensitive identifier that you provide to ensure the idempotency of the operation. An idempotent operation completes no more than one time. This identifier is required only if you make a service request directly using an HTTP client. It is generated automatically if you use an AWS SDK or the AWS CLI.</p>
     */
    ClientRequestToken: string;
    /**
     * <p>The unique identifier of the network in which this node runs.</p>
     */
    NetworkId: string;
    /**
     * <p>The unique identifier of the member that owns this node.</p>
     */
    MemberId: string;
    /**
     * <p>The properties of a node configuration.</p>
     */
    NodeConfiguration: _NodeConfiguration;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
